%define upstream_name    Net-SNPP
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Net::SNPP covers the complete rfc1861 specification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Net::Cmd)
BuildArch:  noarch

%description
Net::SNPP covers the complete rfc1861 specification

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc MYMETA.json MYMETA.yml META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.170.0-3.mga9
+ Revision: 1810958
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.170.0-2.mga8
+ Revision: 1519244
- Mageia 8 Mass Rebuild

* Mon Oct 08 2018 bcornec <bcornec> 1.170.0-1.mga7
+ Revision: 1318578
- Adds sha1
- import Net:SNPP perl module
- Created package structure for perl-Net-SNPP.

